Bug 1186381 - [rfe] Please provide an equivalent of repoquery --archlist
[rfe] Please provide an equivalent of repoquery --archlist
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-27 10:14 EST by Bohuslav "Slavek" Kabrda
Modified: 2015-09-23 00:12 EDT (History)
8 users (show)

See Also:
Fixed In Version: 1.1.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 19:19:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2015-01-27 10:14:27 EST
Hi, I'd like to ask you to provide equivalent of repoquery --archlist in dnf repoquery. Quoting repoquery documentation:

--archlist=ARCH1[,ARCH2...]
Limit  the  query  to packages of given architecture(s). Valid values are all architectures known to rpm/yum such as 'i386' and 'src' for source RPMS. Note  that repoquery will now change yum's "arch" to the first value in the archlist. So "--archlist=i386,i686" will change yum's canonical arch to i386, but allow packages of i386 and i686.
Comment 1 Parag Nemade 2015-01-28 10:03:19 EST
In dnf repoquery plugin we have --arch option which is equivalent of --archlist in repoquery of yum.
Comment 2 Bohuslav "Slavek" Kabrda 2015-02-03 07:11:46 EST
(In reply to Parag from comment #1)
> In dnf repoquery plugin we have --arch option which is equivalent of
> --archlist in repoquery of yum.

Ah, I didn't notice that. Thanks, I'm closing this bug.
Comment 3 Petr Pisar 2015-04-02 11:43:33 EDT
This is not the same. YUM's --archlist accepts list of architectures whereas DNF's --arch accepts only one value:

$ repoquery --repoid=rawhide --archlist=x86_64,noarch  --whatprovides 'perl(strict)'

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.


perl-4:5.20.2-325.fc23.x86_64

$ dnf repoquery --repoid=rawhide --arch=x86_64,noarch  --whatprovides 'perl(strict)'  
Using metadata from Thu Apr  2 17:29:31 2015 (0:12:45 hours old)
$ dnf repoquery --repoid=rawhide --arch=x86_64 --arch=noarch  --whatprovides 'perl(strict)'  
Using metadata from Thu Apr  2 17:29:31 2015 (0:12:53 hours old)

In other words it's not possible to search in less than all but more than one architecture.
Comment 4 Honza Silhan 2015-07-20 09:18:00 EDT
We should extend `arch` option to accept multiple (comma separated?) params.
Comment 5 Fedora Update System 2015-09-01 05:52:21 EDT
dnf-plugins-core-0.1.11-1.fc23 dnf-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 6 Fedora Update System 2015-09-01 16:22:47 EDT
dnf-1.1.1-1.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 7 Fedora Update System 2015-09-08 08:38:41 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 8 Fedora Update System 2015-09-08 08:38:59 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 9 Fedora Update System 2015-09-08 08:40:12 EDT
dnf-1.1.1-2.fc23 dnf-plugins-core-0.1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 10 Fedora Update System 2015-09-08 13:52:07 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 11 Fedora Update System 2015-09-08 17:26:20 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf-plugins-core dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 12 Fedora Update System 2015-09-09 19:18:49 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-23 00:11:52 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.